from django import forms
from django.forms import ModelForm
from .models import *

"""
Possibl redundancy, but if need arises, contents of forms can be easily customized
"""

class SubjectAddForm(ModelForm):
    class Meta:
        model = Subject
        fields = '__all__'


class SubjectDetailForm(ModelForm):
    class Meta:
        model = Subject
        fields = '__all__'


class SubjectEditForm(ModelForm):
    class Meta:
        model = Subject
        fields = '__all__'


class WorkerAddForm(ModelForm):
    class Meta:
        model = Worker
        exclude = ['appointments']


class WorkerDetailForm(ModelForm):
    class Meta:
        model = Worker
        fields = '__all__'


class WorkerEditForm(ModelForm):
    class Meta:
        model = Worker
        fields = '__all__'


class AppointmentDetailForm(ModelForm):
    class Meta:
        model = Appointment
        fields = '__all__'

class VisitDetailForm(ModelForm):
    class Meta:
        model = Subject
        fields = '__all__'
